---
apiVersion: machine.openshift.io/v1beta1
kind: MachineHealthCheck
metadata:
  annotations:
    capability.openshift.io/name: MachineAPI
    exclude.release.openshift.io/internal-openshift-hosted: "true"
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2025-10-27T11:35:48Z"
  generation: 1
  labels:
    api: clusterapi
    k8s-app: termination-handler
  managedFields:
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:capability.openshift.io/name: {}
          f:exclude.release.openshift.io/internal-openshift-hosted: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
        f:labels:
          .: {}
          f:api: {}
          f:k8s-app: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d36bdf59-d268-4238-afb0-5e0b21cca1a4"}: {}
      f:spec:
        .: {}
        f:maxUnhealthy: {}
        f:nodeStartupTimeout: {}
        f:selector: {}
        f:unhealthyConditions: {}
    manager: cluster-version-operator
    operation: Update
    time: "2025-10-27T11:35:48Z"
  - apiVersion: machine.openshift.io/v1beta1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions:
          .: {}
          k:{"type":"RemediationAllowed"}:
            .: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:currentHealthy: {}
        f:expectedMachines: {}
    manager: machine-healthcheck
    operation: Update
    subresource: status
    time: "2025-10-27T11:35:48Z"
  name: machine-api-termination-handler
  namespace: openshift-machine-api
  ownerReferences:
  - apiVersion: config.openshift.io/v1
    controller: true
    kind: ClusterVersion
    name: version
    uid: d36bdf59-d268-4238-afb0-5e0b21cca1a4
  resourceVersion: "13820"
  uid: 6243158e-1210-4afd-910a-61db32a17c11
spec:
  maxUnhealthy: 100%
  nodeStartupTimeout: "0"
  selector:
    matchLabels:
      machine.openshift.io/interruptible-instance: ""
  unhealthyConditions:
  - status: "True"
    timeout: 0s
    type: Terminating
status:
  conditions:
  - lastTransitionTime: "2025-10-27T11:35:48Z"
    status: "True"
    type: RemediationAllowed
  currentHealthy: 0
  expectedMachines: 0
